import { AfterViewInit, EventEmitter, Injector } from '@angular/core';
import * as i0 from "@angular/core";
export declare class PickerGroupComponent {
    static ɵfac: i0.ɵɵFactoryDeclaration<PickerGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PickerGroupComponent, "wm-pickergroup", never, {}, {}, never, ["*"], false, never>;
}
export declare class PickerComponent implements AfterViewInit {
    protected inj: Injector;
    $el: any;
    private pickerAnimator;
    change: EventEmitter<{
        label: string;
        value?: any;
    }>;
    private _selectedIndex;
    private _selectedValue;
    private _options;
    noOfEmptyElements: number;
    constructor(inj: Injector);
    set selectedValue(s: string);
    get selectedValue(): string;
    set options(opts: Array<{
        label: string;
        value?: any;
    }>);
    get options(): Array<{
        label: string;
        value?: any;
    }>;
    reRender(): void;
    set selectedIndex(i: number);
    get selectedIndex(): number;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PickerComponent, "wm-picker", never, { "selectedValue": { "alias": "selectedValue"; "required": false; }; "options": { "alias": "options"; "required": false; }; }, { "change": "change"; }, never, never, false, never>;
}
